<?php
function encriptar($cadena){
    $key='';  // Una clave de codificacion, debe usarse la misma para encriptar y desencriptar
    $encrypted = base64_encode(mcrypt_encrypt(MCRYPT_RIJNDAEL_256, md5($key), $cadena, MCRYPT_MODE_CBC, md5(md5($key))));
    return $encrypted; //Devuelve el string encriptado
 
}
 
function desencriptar($cadena){
     $key='';  // Una clave de codificacion, debe usarse la misma para encriptar y desencriptar
     $decrypted = rtrim(mcrypt_decrypt(MCRYPT_RIJNDAEL_256, md5($key), base64_decode($cadena), MCRYPT_MODE_CBC, md5(md5($key))), "\0");
    return $decrypted;  //Devuelve el string desencriptado
}

$correo = desencriptar($_GET["e"]);
$envio = $_GET["id"];
$accion = desencriptar($_GET["u"]);
$fn = date('Y/m/d H:i:s');
$nuevafecha = strtotime ( '-5 hour' , strtotime ( $fn ) ) ;
$nuevafecha = date ( 'Y/m/d H:i:s' , $nuevafecha );
include("abre_conexion.php");
$sql = "INSERT INTO resultadocorreo (idenvio, correo, opcion, fecha) VALUES ('".$envio."', '".$correo."', '".$accion."', '".$nuevafecha."')";
if (mysqli_query($conn, $sql)) {
    echo "";
} else {
    echo "Error: " . $sql . "<br>" . mysqli_error($conn);
}

mysqli_close($conn);

echo "<html>
	<head>
		<link media=all href='http://www.tuseguroperu.com/estilos2.css' type=text/css rel=stylesheet>
		<META HTTP-EQUIV='Refresh' CONTENT='0; URL=http://www.tuseguroperu.com/".$accion.".php'>
	</head>
	<body>
		
	</body>
</html>";
	
?>
